<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/parinit.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>parinit.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="magpario_8h_source.html">io/magpario.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="field_8h_source.html">field/field.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for parinit.c:</div>
<div class="dynsection">
<div class="center"><img src="parinit_8c__incl.png" border="0" usemap="#init_2parinit_8c_map" alt=""/></div>
<map name="init_2parinit_8c_map" id="init_2parinit_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="77,86,128,117"/><area shape="rect" id="node15" href="magpario_8h.html" title="io/magpario.h" alt="" coords="152,86,251,117"/><area shape="rect" id="node18" href="field_8h.html" title="field/field.h" alt="" coords="275,86,360,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="parinit_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3">ParInit</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="aab78598aa0d3ece1097d988997f0aea3"></a><!-- doxytag: member="parinit.c::ParInit" ref="aab78598aa0d3ece1097d988997f0aea3" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ParInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="parinit_8c_source.html#l00054">54</a> of file <a class="el" href="parinit_8c_source.html">parinit.c</a>.</p>

<p>References <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="destroyinit_8c_source.html#l00029">DataDestroyInit()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="griddata_8h_source.html#l00264">GridData::equil</a>, <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, <a class="el" href="griddata_8h_source.html#l00265">GridData::vequil</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p>Referenced by <a class="el" href="main_8c_source.html#l00059">main()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="parinit_8c_aab78598aa0d3ece1097d988997f0aea3_cgraph.png" border="0" usemap="#parinit_8c_aab78598aa0d3ece1097d988997f0aea3_cgraph_map" alt=""></div>
<map name="parinit_8c_aab78598aa0d3ece1097d988997f0aea3_cgraph_map" id="parinit_8c_aab78598aa0d3ece1097d988997f0aea3_cgraph">
<area shape="rect" id="node3" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="291,238,429,269"/><area shape="rect" id="node13" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="523,522,595,553"/><area shape="rect" id="node24" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="887,1074,980,1105"/><area shape="rect" id="node30" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="524,679,593,710"/><area shape="rect" id="node42" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="296,419,424,450"/><area shape="rect" id="node51" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="723,837,768,867"/><area shape="rect" id="node79" href="destroyinit_8c.html#a1b4144014467c57b1ce5f003775cd266" title="DataDestroyInit" alt="" coords="121,989,233,1019"/><area shape="rect" id="node81" href="elevertvol_8c.html#a2103238be825fa27dce52bbc795d532d" title="EleVertVol" alt="" coords="136,1197,219,1227"/><area shape="rect" id="node92" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="317,810,403,841"/><area shape="rect" id="node104" href="init_8h.html#a5b18b26ca79926b582bf94e21e5f531b" title="ModifyPropPar" alt="" coords="124,1275,231,1306"/><area shape="rect" id="node108" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="115,1042,240,1073"/><area shape="rect" id="node119" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="112,1381,243,1411"/><area shape="rect" id="node123" href="magpario_8h.html#afcfe52b023f7bd7762b109bea3096cfc" title="WriteFEMAVS" alt="" coords="125,1095,229,1126"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#ae5edbe0fe0c81314aff57f7ab636f66b" title="CheckIterationEmini_Init" alt="" coords="477,5,640,35"/><area shape="rect" id="node7" href="field_8h.html#a386ce6c3aee542bfbdfbc8bce99d51fe" title="Hext_ho_hstep" alt="" coords="504,109,613,139"/><area shape="rect" id="node11" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="900,161,967,191"/><area shape="rect" id="node9" href="field_8h.html#aeebb8d32f6d9e3ab71e50c03e1372717" title="get_scalf_hstep" alt="" coords="688,109,803,139"/><area shape="rect" id="node15" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="696,263,795,294"/><area shape="rect" id="node22" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="700,890,791,921"/><area shape="rect" id="node28" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee" title="WriteLogPVode" alt="" coords="691,522,800,553"/><area shape="rect" id="node17" href="field_8h.html#a48d0086e7ff33076be493f9379c45069" title="Hexternal_hext" alt="" coords="879,239,988,270"/><area shape="rect" id="node20" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="889,445,977,475"/><area shape="rect" id="node26" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="1064,1074,1152,1105"/><area shape="rect" id="node32" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="708,943,783,974"/><area shape="rect" id="node36" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="711,679,780,710"/><area shape="rect" id="node38" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="707,733,784,763"/><area shape="rect" id="node40" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="703,626,788,657"/><area shape="rect" id="node34" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="851,997,1016,1027"/><area shape="rect" id="node44" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="532,314,585,345"/><area shape="rect" id="node46" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="699,317,792,347"/><area shape="rect" id="node49" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="517,575,600,606"/><area shape="rect" id="node65" href="checkiterationllg_8c.html#a3f86d8b6fe0ca41eb041d4130e854c6f" title="CheckIterationLLG_Init" alt="" coords="481,367,636,398"/><area shape="rect" id="node67" href="distortvec_8c.html#a8bf0a9f33e000474112d918b05b1b377" title="DistortVec" alt="" coords="517,733,600,763"/><area shape="rect" id="node69" href="checkiterationllg_8c.html#a5d6bf5e0146588628618631eb234060d" title="EquilCheck" alt="" coords="701,418,789,449"/><area shape="rect" id="node53" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="903,890,964,921"/><area shape="rect" id="node55" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="899,943,968,974"/><area shape="rect" id="node57" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="899,677,968,707"/><area shape="rect" id="node59" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="896,730,971,761"/><area shape="rect" id="node61" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="895,783,972,814"/><area shape="rect" id="node63" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="899,837,968,867"/><area shape="rect" id="node83" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="323,1143,397,1174"/><area shape="rect" id="node85" href="elevertvol_8c.html#a84b0acadfde91d8c984091ed850ab6bf" title="edgestat" alt="" coords="324,1197,396,1227"/><area shape="rect" id="node87" href="elevertvol_8c.html#aef5a137b230e99388bfdb98e300fb741" title="tetqual" alt="" coords="329,1301,391,1331"/><area shape="rect" id="node89" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="532,1275,585,1306"/><area shape="rect" id="node94" href="cart2sphere_8c.html#a519926eb0e8844daa1219a94521b9882" title="Cart2Sphere" alt="" coords="512,887,605,918"/><area shape="rect" id="node106" href="magpario_8h.html#a59544353738dfce0bdce48409d9b3c8b" title="ReadKrn" alt="" coords="325,1354,395,1385"/><area shape="rect" id="node110" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="321,627,399,658"/><area shape="rect" id="node116" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="292,1039,428,1070"/><area shape="rect" id="node121" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="321,1407,399,1438"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="parinit_8c_aab78598aa0d3ece1097d988997f0aea3_icgraph.png" border="0" usemap="#parinit_8c_aab78598aa0d3ece1097d988997f0aea3_icgraph_map" alt=""></div>
<map name="parinit_8c_aab78598aa0d3ece1097d988997f0aea3_icgraph_map" id="parinit_8c_aab78598aa0d3ece1097d988997f0aea3_icgraph">
<area shape="rect" id="node3" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="112,5,163,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

